<?
require_once "header.php";
require_once "inc/recibo_xml_os.php";
require_once "inc/usuario.php";
require_once "inc/parametros_sat.php";

$nm_include = 'inc/recibo_print_venda.php';
$redirect   = "erpc_pedidos_venda_list.php";

$usuario_impressao = getLoggedUser();
$id_usuario = $usuario_impressao['id'];
$id_unidade = $usuario_impressao['unidade'];
$nm_usuario = $usuario_impressao['nome'];

// verificar se houve um POST
if(!empty($_POST)){
  $id_pedido = $_POST['id_servico'];
  $id_pedido_original = $_POST['id_servico'];
}

// OR get
if(!empty($_GET)){
  $id_pedido = base64_decode($_GET['id_servico']);
  $id_pedido_original = base64_decode($_GET['id_servico']);
}

try{
  /* Corpo do Envio do XML*/
  $ReciboXml  = New ReciboXmlOS();
  $xml_string = $ReciboXml->getDados($id_pedido);

  // escreve o arquivo no diretorio xml temporario { Simples Conferência }
  $myfile = fopen("xml/xml_recibo.xml", "w+") or die("Unable to open file!");
  //header( 'Content-type: text/xml' ); preg_replace("/(\t+)/", "", $r_xml)
  fwrite($myfile, $xml_string);
  fclose($myfile);

  /* Validar o XML antes de enviar para a impressora */
  $doc = @simplexml_load_string($xml_string);
  if(!$doc){
    throw new Exception("O Xml gerado para o Pedido: $id_pedido é inválido!");
  }
}catch (Exception $e){
  $msg_error = 'Houve um erro ao imprimir: ' .  $e->getMessage() . "\n";
  addError($msg_error);
  header("Location:$redirect");
}

$p_mensagem = "Gerando o Recibo $id_pedido_original... Por Favor aguarde.!";

/*
$data = array(
        'xml'     => "$xml_string"  ,
        'include' => 'inc/recibo_print_venda.php',
        'printer' =>   $nm_printer, // smb://192.168.0.106/epson
        'id_usuario'=> $id_usuario,                     // ID   do usuário Logado
        'nm_usuario'=> $nm_usuario,               // Nome do Usuário Logado
        'ds_versao_sw'=>'ERPC_CODE_2017_V1.00', // Versão do Aplicativo da SW - CODECRM
        );
*/


?>
<div class="content controls">
  <div class="progress">
      <?=$p_mensagem;?>
      <div id="theBar" class="progress-bar progress-bar-info progress-bar-striped active" role="progressbar" aria-valuenow="1" aria-valuemin="0" aria-valuemax="100" style="width: 00%">
          <!-- <span class="sr-only"></span>-->

      </div>
  </div>
</div>

<div class="block" hidden>
  <form method="post" action="<?=$url?>"  id=validate_custom>
    <input type="text" id="pedido_original" name="pedido_original" value="<?=$pedido_original;?>"/>
    <div class="content controls">
      <div class="form row">
        <div class="col-md-2"><label>xml:</label></div>
        <div class="col-md-10"><textarea rows="10" id="xml" name="xml" value=<? echo "<pre>$xml_string";?></textarea></div>
      </div>
      <div class="form row">
        <div class="col-md-2"><label>include:</label></div>
        <div class="col-md-10"><input type="text" id="include" name="include" value="<?=$nm_include;?>"/></div>
      </div>
      <div class="form row">
        <div class="col-md-2"><label>nm_printer:</label></div>
        <div class="col-md-10"><input type="text" id="printer" name="printer" value="<?=$nm_printer;?>"/></div>
      </div>
      <div class="form row">
        <div class="col-md-2"><label>id_usuario:</label></div>
        <div class="col-md-10"><input type="text" id="id_usuario" name="id_usuario" value="<?=$id_usuario;?>"/></div>
      </div>
      <div class="form row">
        <div class="col-md-2"><label>nm_usuario:</label></div>
        <div class="col-md-10"><input type="text" id="nm_usuario" name="nm_usuario" value="<?=$nm_usuario;?>"/></div>
      </div>
      <div class="form row">
        <div class="col-md-2"><label>ds_versao_sw:</label></div>
        <div class="col-md-10"><input type="text" id="ds_versao_sw" name="ds_versao_sw" value="ERPC_CODE_2017_V1.00"/></div>
      </div>

      <button type="button" name="btn-enviar" id="btn-enviar" class="btn btn-primary btn-cleanx">Enviar</button>

    </div>

    <div class="form-row">
      <div id="dialog" title="Confirmação" hidden>
          <span>Recibo foi impresso com sucesso? N.ro
          <?php echo $id_pedido_original;?>?</span>
        <br>
        <br>


          <button type="button" name="btn-sim"    id="btn-sim" class="btn btn-primary btn-cleanx">Sim</button>
          <button type="button" name="btn-nao"    id="btn-nao" class="btn btn-default btn-cleanx">Não</button>

        </form>
      </div>
    </div>

  </form>
</div>

<div id='post-result'></div>

<script type="text/javascript" src="js\jquery-3.1.1.min.js"></script>

<? include_once "footer.php";?>

<!-- Incluido a última versão do JQuery, necessidade do EasySat -->


<!-- Script para POST automático do Form -->
<script type='text/javascript'>
$(document).ready(function() {

    var b_post = false;
    var s_post = '';

    $("#dialog").dialog({
      autoOpen: false,
      modal: true
    });

    // Barra de prograsso para comunicação com o Sat
    var i = 40;
    var counterBack = setInterval(function () {
      i--;
      if (i > 0) {
        $('.progress-bar').css('width', i + '%');
        $("#theBar").html(i + '% do ');
        if(b_post==true){
          $('#post-result').append("<br>Recibo impresso com sucesso!");
          clearInterval(counterBack);
          $("#dialog").dialog("open");
        }
      } else {
        clearInterval(counterBack);
        $("#dialog").dialog("open");
      }
    }, 1000);


    $("#btn-enviar").on('click', function(){
        var v_post = $("#validate_custom").attr('action');
        $.post(v_post,
            $('#validate_custom').serialize(),
            function(data,status){
                if(data==""){
                  b_post = true;
                }else{
                  s_post = data;
                }
                $('#post-result').append(s_post);
            }
        );
    });

    $(document).ajaxError(function(event, request, settings, exception) {
      $("#post-result").append( "<li>Error requesting page " + settings.url + "</li>" );
      $("#post-result").append( "<li>Error : " + request.status + "</li>" );
    });

    $("#btn-sim").on('click', function(){
      // window.close();
      // open(location, '_self').close();
      window.location= 'erpc_faturar_pedidos_list.php';
      window.close();
      /*
      if(window.opener!= null){
      	window.location= 'erpc_faturar_pedidos_list.php';
      }else{
        window.close();
      }*/
    });

    $("#btn-nao").on('click', function(){
      window.location = 'erpc_faturar_pedidos_list.php';
    });

    $("#btn-enviar").click();

  }(jQuery));
</script>
